Ticket #38613

鍛冶師で武器/防具強化ができない (フォーラムメッセージ #81921 からの引用)

Open Date: 2018-09-18 21:17 Last Update: 2021-01-24 22:20

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

フォーラム 変愚蛮怒フォーラム [#81921] からの引用

[forum: 81921]
> ローカル変数のスコープが適切でないため、鍛冶師の武器/防具強化が動作しない問題があります。(コンパイラによる?)
> 
> osdn.netでのプルリクエストのやり方を忘れたのと、簡単な修正なので以下にパッチを書きます。
> 
> diff U3 C:/shimizu/rlbuild/hengband/hengband-20180918203723-master-win/Hengband/src_org/object2.c C:/shimizu/rlbuild/hengband/hengband-20180918203723-master-win/Hengband/src/object2.c
> --- C:/shimizu/rlbuild/hengband/hengband-20180918203723-master-win/Hengband/src_org/object2.c	Fri Mar 30 21:34:27 2018
> +++ C:/shimizu/rlbuild/hengband/hengband-20180918203723-master-win/Hengband/src/object2.c	Tue Sep 18 20:39:01 2018
> @@ -8085,6 +8085,7 @@
>  	char o_name[MAX_NLEN];
>  	int use_essence;
>  	essence_type *es_ptr;
> +	bool able[22];
>  
>  	int menu_line = (use_menu ? 1 : 0);
>  
> @@ -8117,7 +8118,6 @@
>  	choice = (always_show_list || use_menu) ? ESCAPE:1;
>  	while (!flag)
>  	{
> -		bool able[22];
>  		if( choice==ESCAPE ) choice = ' '; 
>  		else if( !get_com(out_val, &choice, FALSE) )break; 
>  
> 

Ticket History (3/4 Histories)

2018-09-18 21:17 Updated by: deskull
  • New Ticket "鍛冶師で武器/防具強化ができない (フォーラムメッセージ #81921 からの引用)" created
2018-09-18 21:19 Updated by: deskull
  • Details Updated
2018-09-22 19:20 Updated by: deskull
  • Owner Update from deskull to habu
  • Status Update from Open to Closed
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits/d7b14f20b2449a81d7168eec62a78ee7922a7c28

habuさんが確認の上直してくださいました、ありがとうございます。

2021-01-24 22:20 Updated by: deskull
Comment

便宜的に3.0.0正式版修正とします。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login